Page MenuHomeFreeBSD

net-p2p/libswift: support OpenSSL 1.1.1
ClosedPublic

Authored by dch on Mar 2 2019, 9:55 PM.

Details

Summary
  • thanks danfe@ for the upstreamed patch enabling this
  • portlint petting and tidy Makefile alignment
Test Plan

portlint, poudriere LGTM. tested binary on x64 only

11_2_x64
11_2_x86
12_0_armv6
12_0_armv7
12_0_x64
12_0_x86
current_x64

Diff Detail

Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 24379
Build 23199: arc lint + arc unit

Event Timeline

dch created this revision.Mar 2 2019, 9:55 PM
jrm added inline comments.Mar 2 2019, 11:09 PM
net-p2p/libswift/Makefile
5

You tagged a GH release, so this should be

DISTVERSIONPREFIX=	v
DISTVERSION=		0.1.0

then remove GH_TAGNAME=dc0cbcc below.

jrm added a comment.EditedMar 3 2019, 12:41 AM

Also, does this make D17684 obsolete? If so, could you close D17684?

net-p2p/libswift/Makefile
5

And you would have to bump PORTEPOC. Your choice.

dch marked 2 inline comments as done.Mar 3 2019, 3:14 PM
dch added inline comments.
net-p2p/libswift/Makefile
5

I've removed the tag in favour of sticking with a date, as there's not a great deal of movement upstream, but I'll ask about picking up the repo ownership and if so, I'll tag it then.

dch updated this revision to Diff 54638.Mar 3 2019, 3:14 PM

add brief usage instructions

Harbormaster completed remote builds in B22852: Diff 54638.
jrm added inline comments.Mar 3 2019, 3:37 PM
net-p2p/libswift/Makefile
5

Sounds good. In this case, there is no distribution version, but you, as the port maintainer, are making up a version, so it should be PORTVERSION=20190302. See Example 5.9. Exotic Case 2 in the PH.

net-p2p/libswift/pkg-descr
9

The GitHub page seems more appropriate than the RFC for WWW.

9–18

Is this more appropriate for pkg-message or documentation?

dch marked 3 inline comments as done.May 21 2019, 10:55 PM
dch updated this revision to Diff 57663.May 21 2019, 11:35 PM

fix nits, add pkg-message

dch added a comment.May 21 2019, 11:36 PM

nits purged

jrm accepted this revision.May 22 2019, 4:16 PM
This revision is now accepted and ready to land.May 22 2019, 4:16 PM
This revision was automatically updated to reflect the committed changes.